from typing import List, Optional

from pydantic import BaseModel, Field


class RAGOutput(BaseModel):
    answer: str = Field(None, description="Answer to the questions asked, in Markdown format.")
    insufficient_info: bool = Field(None, description="An indication if there's insufficient information to answer")

    model_config = {
        "extra": "allow"
    }

